Defines | Functions | Variables

# python/rpmps-py.c File Reference

`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmcb.h>`
`#include <rpmlib.h>`
`#include "rpmdebug-py.c"`
`#include "rpmps-py.h"`
`#include "debug.h"`
Include dependency graph for rpmps-py.c:

Go to the source code of this file.

## Defines
#define | _RPMPS_INTERNAL
#define | PERMIT_RPMPS_SUBSCRIPT
## Functions
static PyObject * | rpmps_iter (rpmpsObject *s)
static PyObject * | rpmps_iternext (rpmpsObject *s)
static void | rpmps_dealloc (rpmpsObject *s)
static int | rpmps_print (rpmpsObject *s, FILE *fp, int flags)
static PyObject * | rpmps_getattro (PyObject *o, PyObject *n)
static int | rpmps_setattro (PyObject *o, PyObject *n, PyObject *v)
static int | rpmps_length (rpmpsObject *s)
static PyObject * | rpmps_subscript (rpmpsObject *s, PyObject *key)
static int | rpmps_ass_sub (rpmpsObject *s, PyObject *key, PyObject *value)
static int | rpmps_init (rpmpsObject *s, PyObject *args, PyObject *kwds)
static void | rpmps_free (rpmpsObject *s)
static PyObject * | rpmps_alloc (PyTypeObject *subtype, int nitems)
static PyObject * | rpmps_new (PyTypeObject *subtype, PyObject *args, PyObject *kwds)
rpmps | psFromPs (rpmpsObject *s)
rpmpsObject * | rpmps_Wrap (rpmps ps)
Class: Rpmps
static PyObject * | rpmps_Debug (rpmpsObject *s, PyObject *args, PyObject *kwds)
static int | rpmps_Append (rpmpsObject *s, PyObject *value)
## Variables
static struct PyMethodDef | rpmps_methods []
static PyMappingMethods | rpmps_as_mapping
static char | rpmps_doc [] = ""
PyTypeObject | rpmps_Type

## Detailed Description

Definition in file rpmps-py.c.

## Define Documentation

#define _RPMPS_INTERNAL

Definition at line 10 of file rpmps-py.c.

#define PERMIT_RPMPS_SUBSCRIPT

Definition at line 199 of file rpmps-py.c.

## Function Documentation

static int rpmps_Append | ( | rpmpsObject * | s,
|  | PyObject * | value
| ) |  | `[static]`

Definition at line 80 of file rpmps-py.c.

References rpmpsObject_s::ps, and rpmpsAppend().

static int rpmps_ass_sub | ( | rpmpsObject * | s,
|  | PyObject * | key,
|  | PyObject * | value
| ) |  | `[static]`

Definition at line 202 of file rpmps-py.c.

References _free(), _rpmps_debug, alloca(), rpmpsObject_s::ps, rpmpsAppend(), and xstrdup().

static void rpmps_dealloc | ( | rpmpsObject * | s ) | `[static]`

Definition at line 115 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, and rpmpsFree().

static PyObject* rpmps_Debug | ( | rpmpsObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds
| ) |  | `[static]`

Definition at line 66 of file rpmps-py.c.

References _rpmps_debug.

static PyObject* rpmps_getattro | ( | PyObject * | o,
|  | PyObject * | n
| ) |  | `[static]`

Definition at line 138 of file rpmps-py.c.

References _rpmps_debug.

static PyObject* rpmps_iter | ( | rpmpsObject * | s ) | `[static]`

Definition at line 24 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, rpmpsObject_s::psi, and rpmpsInitIterator().

static PyObject* rpmps_iternext | ( | rpmpsObject * | s ) | `[static]`

Definition at line 36 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, rpmpsObject_s::psi, rpmProblemString(), rpmpsFreeIterator(), rpmpsInitIterator(), rpmpsNextIterator(), and rpmpsProblem().

static int rpmps_length | ( | rpmpsObject * | s ) | `[static]`

Definition at line 155 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, and rpmpsNumProblems().

static int rpmps_print | ( | rpmpsObject * | s,
|  | FILE * | fp,
|  | int | flags
| ) |  | `[static]`

Definition at line 127 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, and rpmpsPrint().

static int rpmps_setattro | ( | PyObject * | o,
|  | PyObject * | n,
|  | PyObject * | v
| ) |  | `[static]`

Definition at line 146 of file rpmps-py.c.

References _rpmps_debug.

static PyObject* rpmps_subscript | ( | rpmpsObject * | s,
|  | PyObject * | key
| ) |  | `[static]`

Definition at line 167 of file rpmps-py.c.

References _rpmps_debug, rpmpsObject_s::ps, rpmProblemString(), rpmpsFreeIterator(), rpmpsInitIterator(), rpmpsNextIterator(), and rpmpsProblem().

## Variable Documentation

PyMappingMethods rpmps_as_mapping`[static]`

Initial value:

     {
            (inquiry) rpmps_length,
            (binaryfunc) rpmps_subscript,

            (objobjargproc) rpmps_ass_sub,

    }

Definition at line 273 of file rpmps-py.c.

char rpmps_doc[] = ""`[static]`

Definition at line 347 of file rpmps-py.c.

struct PyMethodDef rpmps_methods[]`[static]`

Initial value:

     {
     {"Debug",      (PyCFunction)rpmps_Debug,       METH_VARARGS|METH_KEYWORDS,
            NULL},
     {"Append",     (PyCFunction)rpmps_Append,      METH_VARARGS|METH_KEYWORDS,
            NULL},
     {NULL,         NULL}
    }

Definition at line 103 of file rpmps-py.c.